Bug 650717 - Review Request: PolicyKit-olpc - OLPC-specific PolicyKit overrides
Summary: Review Request: PolicyKit-olpc - OLPC-specific PolicyKit overrides
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-07 21:19 UTC by Daniel Drake
Modified: 2011-01-09 20:59 UTC (History)
3 users (show)

Fixed In Version: PolicyKit-olpc-1.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-09 20:59:32 UTC
Type: ---
pbrobinson: fedora-review+


Attachments (Terms of Use)

Description Daniel Drake 2010-11-07 21:19:06 UTC
Spec URL: http://dev.laptop.org/~dsd/20101107/PolicyKit-olpc.spec
SRPM URL: http://dev.laptop.org/~dsd/20101107/PolicyKit-olpc-1.4-1.fc13.src.rpm
Description: 
Software for the XO laptop requires some modification to the default policies
installed by certain applications. This package provides OLPC-specific
policy overrides.

This package is already in Fedora but broke during fallout in the F12 cycle, and hence was blocked from being built. I've now finally fixed it, and was told on IRC that I have to go through the review process again in order to get it unblocked.

Hopefully it's a simple review, since it was accepted before and its a trivial package. it follows the guidelines in "man pklocalauthority"

Comment 1 Peter Robinson 2010-11-28 11:30:20 UTC
I'll review this one.

Comment 2 Peter Robinson 2010-12-05 22:20:56 UTC
Original review https://bugzilla.redhat.com/show_bug.cgi?id=454329

Comment 3 Peter Robinson 2010-12-05 22:30:50 UTC
Looks fine but except for the one rpmlint warning although not a blocker. APPROVED.

+ rpmlint output

rpmlint PolicyKit-olpc-1.4-1.fc14.src.rpm PolicyKit-olpc-1.4-1.fc14.noarch.rpm PolicyKit-olpc.spec 
PolicyKit-olpc.src: W: strange-permission PolicyKit-olpc-1.4.tar.gz 0444L
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm

  5cad081bb55d925671cf9881433b781f  PolicyKit-olpc-1.4.tar.gz

+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
n/a Package should have man files

Comment 4 Daniel Drake 2010-12-06 17:05:53 UTC
Thanks Peter!

Admins: this once-broken package is now finally fixed and ready for use once again. Please add a F14 branch, and unblock it from being built in rawhide.

Package Change Request
======================
Package Name: PolicyKit-olpc
New Branches: F14
Unblock Branches: rawhide

Comment 5 Jens Petersen 2010-12-09 00:58:29 UTC
Git done (by process-git-requests).

Comment 6 Jens Petersen 2010-12-09 01:01:53 UTC
Untired and branch added.

If there is a next time please include the owner in the request:
you can use the web interface to take ownership now:
https://admin.fedoraproject.org/pkgdb/acls/name/PolicyKit-olpc

Comment 7 Daniel Drake 2010-12-09 20:13:54 UTC
Thanks. I will do that.

Unfortunately I still can't build this in rawhide or F14. Please could you investigate?

2655752 build (dist-rawhide, /PolicyKit-olpc:e180650d86e0441c8171e0050c19fb3b1b0b11bb): open (x86-03.phx2.fedoraproject.org) -> FAILED: BuildError: package PolicyKit-olpc is blocked for tag dist-f15

2655760 build (dist-f14-updates-candidate, /PolicyKit-olpc:e180650d86e0441c8171e0050c19fb3b1b0b11bb): open (x86-13.phx2.fedoraproject.org) -> FAILED: BuildError: package PolicyKit-olpc is blocked for tag dist-f14-updates-candidate


Package Change Request
======================
Package Name: PolicyKit-olpc
Unblock all tags F14 and onwards

Comment 8 Jason Tibbitts 2010-12-10 14:44:05 UTC
Unblocking packages from tags is not an SCM operation; I'm afraid I can't do
what you are requesting.  You probably need to file a ticket with release
engineering:
https://fedorahosted.org/rel-eng/

Comment 9 Peter Robinson 2010-12-10 14:49:51 UTC
Requested: https://fedorahosted.org/rel-eng/ticket/4296

Comment 10 Fedora Update System 2010-12-15 10:09:19 UTC
PolicyKit-olpc-1.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PolicyKit-olpc-1.4-1.fc14

Comment 11 Fedora Update System 2010-12-17 08:30:54 UTC
PolicyKit-olpc-1.4-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PolicyKit-olpc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/PolicyKit-olpc-1.4-1.fc14

Comment 12 Fedora Update System 2011-01-09 20:59:28 UTC
PolicyKit-olpc-1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.